[android-components](../../../index.md) / [mozilla.components.browser.state.action](../../index.md) / [DownloadAction](../index.md) / [RestoreDownloadStateAction](./index.md)

# RestoreDownloadStateAction

`data class RestoreDownloadStateAction : `[`DownloadAction`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/state/src/main/java/mozilla/components/browser/state/action/BrowserAction.kt#L739)

Restores the given [download](download.md) from the storage.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `RestoreDownloadStateAction(download: `[`DownloadState`](../../../mozilla.components.browser.state.state.content/-download-state/index.md)`)`<br>Restores the given [download](download.md) from the storage. |

### Properties

| Name | Summary |
|---|---|
| [download](download.md) | `val download: `[`DownloadState`](../../../mozilla.components.browser.state.state.content/-download-state/index.md) |
